cumHist<-function(data, xstart=NULL, xend=NULL, lessThen=T, percentage=F, add=F, ...)
{
    if(is.null(xstart)||is.null(xend)){
        xstart <- min(data,na.rm=T)
        xend <- max(data,na.rm=T)
    }
    t<-table(data[data>=xstart & data<=xend])
    cumData<-NULL
    for(i in 1:length(t))
    {
	if(lessThen)
	{
        	cumData<-c(cumData,sum(t[1:i]))
	}
	else
	{
		cumData<-c(cumData,sum(t[i:length(t)]))
	}
    }
    if(percentage)
    {
        cumData<-cumData/sum(!is.na(data))
    }
    if(!add){
   	 plot(as.numeric(names(t)),cumData,ylim=c(0,max(cumData)), type='l', ...)
    }
    else{
         lines(as.numeric(names(t)),cumData,ylim=c(0,max(cumData)), ...)
    }
}
