lineHist<-function(x,breaks = "Sturges", freq = NULL,
include.lowest = TRUE, right = TRUE, density = NULL, angle = 45, border = NULL, main = paste("Histogram of", xname), xlab = xname,
labels = FALSE, nclass = NULL, warn.unused = TRUE, add=F, withPoints=T, ...){
    h<-hist(x,breaks=breaks,freq=freq, include.lowest=include.lowest, right=right, density=density, angle=angle, col=col, border=border, warn.unused=warn.unused,  labels=labels, plot=F)
    if(!add){
        plot(h$mids,h$counts,ylab="frequency",type='l',xlab=xlab, ...)
    }
    else{
        lines(h$mids,h$counts,ylab="frequency",...)
    }
    if(withPoints){
        points(h$mids,h$counts,ylab="frequency",...)
    }
}