lineHist<-function(x,breaks=100, add=F, percentage=T,bars=T, ...){
	hist<-hist(x,breaks=breaks, plot=F)
	blocksize<-2*abs(hist$breaks[1]-hist$mids[1])
	if(bars){
		posX<-c(hist$breaks[1],rep(hist$breaks[2:(length(hist$breaks)-1)],each=2),hist$breaks[length(hist$breaks)])
		if(percentage){
			posY<-rep(hist$density,each=2)
		}
		else{
			posY<-rep(hist$counts,each=2)
		}
	}
	else{
		posX<-hist$mids
		if(percentage){
			posY<-hist$density
		}
		else{
			posY<-hist$counts
		}
	}
	if(!add){
		plot(posX,posY,type='l', ...)
	}
	else{
		lines(posX,posY,...)
	}
}
